%{?drupal7_find_provides_and_requires}

%global module block_class

Name:          drupal7-%{module}
Version:       2.1
Release:       1%{?dist}
Summary:       Block Class allows users to add classes via block configuration interface

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz
Source1:       %{name}-RPM-README.txt

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

%description
Block Class allows users to add classes to any block through the block's
configuration interface. By adding a very short snippet of PHP to a theme's
block.tpl.php file, classes can be added to the parent <div class="block ...">
element of a block.

This package provides the following Drupal module(s):
* %{module}

%prep
%setup -qn %{module}
cp -p %{SOURCE1} .

%build
# Empty build section, nothing to build

%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/

%files
%doc *.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt

%changelog
* Wed May 07 2014 Sam Wilson <sam.wilson@nextdc.com> 2.1-1
- Initial package
